Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain.client
Class OlapUnitImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.olap.domain.client.OlapUnitImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, Resource, OlapUnit, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class OlapUnitImpl

extends ResourceImpl
implements OlapUnit

Author:
  sbirney
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`OlapUnitImpl()`

Method Summary
`ResourceReference` | `getDataSource()` Returns the reference to the `data source` used by this olap unit.
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getMdxQuery()`
`ResourceReference` | `getOlapClientConnection()`
`java.lang.Object` | `getOlapViewOptions()`
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSource)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setMdxQuery(java.lang.String query)`
`void` | `setOlapClientConnection(OlapClientConnection olapConnection)`
`void` | `setOlapClientConnection(ResourceReference olapConnectionReference)`
`void` | `setOlapClientConnectionReference(java.lang.String referenceURI)`
`void` | `setOlapViewOptions(java.lang.Object options)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### OlapUnitImpl

    public OlapUnitImpl()

Method Detail

### getOlapClientConnection

    public ResourceReference getOlapClientConnection()

  Specified by:
    `getOlapClientConnection` in interface `OlapUnit`

### setOlapClientConnection

    public void setOlapClientConnection(OlapClientConnection olapConnection)

  Specified by:
    `setOlapClientConnection` in interface `OlapUnit`

### setOlapClientConnection

    public void setOlapClientConnection(ResourceReference olapConnectionReference)

  Specified by:
    `setOlapClientConnection` in interface `OlapUnit`

### setOlapClientConnectionReference

    public void setOlapClientConnectionReference(java.lang.String referenceURI)

  Specified by:
    `setOlapClientConnectionReference` in interface `OlapUnit`

### getMdxQuery

    public java.lang.String getMdxQuery()

  Specified by:
    `getMdxQuery` in interface `OlapUnit`

### setMdxQuery

    public void setMdxQuery(java.lang.String query)

  Specified by:
    `setMdxQuery` in interface `OlapUnit`

### getOlapViewOptions

    public java.lang.Object getOlapViewOptions()

  Specified by:
    `getOlapViewOptions` in interface `OlapUnit`

### setOlapViewOptions

    public void setOlapViewOptions(java.lang.Object options)

  Specified by:
    `setOlapViewOptions` in interface `OlapUnit`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

### getDataSource

    public ResourceReference getDataSource()

  Description copied from interface: `OlapUnit`
  Returns the reference to the `data source` used by this olap unit.

  Specified by:
    `getDataSource` in interface `OlapUnit`
  Returns:
    a reference to the data source used by this olap unit

### setDataSource

    public void setDataSource(ResourceReference dataSource)

  Specified by:
    `setDataSource` in interface `OlapUnit`

### setDataSource

    public void setDataSource(ReportDataSource dataSource)

  Specified by:
    `setDataSource` in interface `OlapUnit`

### setDataSourceReference

    public void setDataSourceReference(java.lang.String referenceURI)

  Specified by:
    `setDataSourceReference` in interface `OlapUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.